Subject: Re: bug#47244: 28.0.50; SIGSEGV in long-runnning Emacs

From: Michael Welsh Duggan <[email-masked]>
Date: Fri, 19 Mar 2021 11:14:40 -0400

Eli Zaretskii <[email-masked]> writes:

>> From: Michael Welsh Duggan <[email-masked]>
>> Cc: Michael Welsh Duggan <[email-masked]>,
>>         "[email-masked]"
>>  <[email-masked]>,
>>         "[email-masked]" <[email-masked]>
>> Date: Fri, 19 Mar 2021 10:21:18 -0400
>> 
>> Lisp Backtrace:
>> "kill-buffer" (0xfffeca60)
>> 0x56e58d70 PVEC_COMPILED
>> "substitute-command-keys" (0xfffed728)
>> "redisplay_internal (C function)" (0x0)
>
> Thanks.  This case isn't interesting, because this is a temporary
> buffer we don't display.  So I guess we need to augment the breakpoint
> condition:
>
>   break buffer.c:1840 if redisplaying_p != 0 && b->window_count > 0

Okay.  I'll run with that for a while and see if I can't trigger the
crash (or breakpoint) again.

-- 
Michael Welsh Duggan
([email-masked])